JaxbJoinElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbJoinElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbJoinElement

    public class JaxbJoinElement

extends Object

Java class for join-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="join-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="subselect" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="comment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="key" type="{http://www.hibernate.org/xsd/hibernate-mapping}key-element"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="property" type="{http://www.hibernate.org/xsd/hibernate-mapping}property-element"/>
               <element name="many-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}many-to-one-element"/>
               <element name="component" type="{http://www.hibernate.org/xsd/hibernate-mapping}component-element"/>
               <element name="dynamic-component" type="{http://www.hibernate.org/xsd/hibernate-mapping}dynamic-component-element"/>
               <element name="any" type="{http://www.hibernate.org/xsd/hibernate-mapping}any-element"/>
             </choice>
             <element name="sql-insert" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-insert-element" minOccurs="0"/>
             <element name="sql-update" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-update-element" minOccurs="0"/>
             <element name="sql-delete" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-delete-element" minOccurs="0"/>
           </sequence>
           <attribute name="catalog" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="fetch" type="{http://www.hibernate.org/xsd/hibernate-mapping}fetch-attribute" default="join" />
           <attribute name="inverse" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="optional" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="schema" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="subselect" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="table" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `catalog`
`protected String` | `comment`
`protected JaxbFetchAttribute` | `fetch`
`protected Boolean` | `inverse`
`protected JaxbKeyElement` | `key`
`protected Boolean` | `optional`
`protected List<Object>` | `propertyOrManyToOneOrComponent`
`protected String` | `schema`
`protected JaxbSqlDeleteElement` | `sqlDelete`
`protected JaxbSqlInsertElement` | `sqlInsert`
`protected JaxbSqlUpdateElement` | `sqlUpdate`
`protected String` | `subselect`
`protected String` | `subselectAttribute`
`protected String` | `table`

Constructor Summary
`JaxbJoinElement()`

Method Summary
`String` | `getCatalog()` Gets the value of the catalog property.
`String` | `getComment()` Gets the value of the comment property.
`JaxbFetchAttribute` | `getFetch()` Gets the value of the fetch property.
`JaxbKeyElement` | `getKey()` Gets the value of the key property.
`List<Object>` | `getPropertyOrManyToOneOrComponent()` Gets the value of the propertyOrManyToOneOrComponent property.
`String` | `getSchema()` Gets the value of the schema property.
`JaxbSqlDeleteElement` | `getSqlDelete()` Gets the value of the sqlDelete property.
`JaxbSqlInsertElement` | `getSqlInsert()` Gets the value of the sqlInsert property.
`JaxbSqlUpdateElement` | `getSqlUpdate()` Gets the value of the sqlUpdate property.
`String` | `getSubselect()` Gets the value of the subselect property.
`String` | `getSubselectAttribute()` Gets the value of the subselectAttribute property.
`String` | `getTable()` Gets the value of the table property.
`boolean` | `isInverse()` Gets the value of the inverse property.
`boolean` | `isOptional()` Gets the value of the optional property.
`void` | `setCatalog(String value)` Sets the value of the catalog property.
`void` | `setComment(String value)` Sets the value of the comment property.
`void` | `setFetch(JaxbFetchAttribute value)` Sets the value of the fetch property.
`void` | `setInverse(Boolean value)` Sets the value of the inverse property.
`void` | `setKey(JaxbKeyElement value)` Sets the value of the key property.
`void` | `setOptional(Boolean value)` Sets the value of the optional property.
`void` | `setSchema(String value)` Sets the value of the schema property.
`void` | `setSqlDelete(JaxbSqlDeleteElement value)` Sets the value of the sqlDelete property.
`void` | `setSqlInsert(JaxbSqlInsertElement value)` Sets the value of the sqlInsert property.
`void` | `setSqlUpdate(JaxbSqlUpdateElement value)` Sets the value of the sqlUpdate property.
`void` | `setSubselect(String value)` Sets the value of the subselect property.
`void` | `setSubselectAttribute(String value)` Sets the value of the subselectAttribute property.
`void` | `setTable(String value)` Sets the value of the table property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subselect

    protected String subselect

### comment

    protected String comment

### key

    protected JaxbKeyElement key

### propertyOrManyToOneOrComponent

    protected List<Object> propertyOrManyToOneOrComponent

### sqlInsert

    protected JaxbSqlInsertElement sqlInsert

### sqlUpdate

    protected JaxbSqlUpdateElement sqlUpdate

### sqlDelete

    protected JaxbSqlDeleteElement sqlDelete

### catalog

    protected String catalog

### fetch

    protected JaxbFetchAttribute fetch

### inverse

    protected Boolean inverse

### optional

    protected Boolean optional

### schema

    protected String schema

### subselectAttribute

    protected String subselectAttribute

### table

    protected String table

Constructor Detail

### JaxbJoinElement

    public JaxbJoinElement()

Method Detail

### getSubselect

    public String getSubselect()

  Gets the value of the subselect property.

  Returns:
    possible object is `String`

### setSubselect

    public void setSubselect(String value)

  Sets the value of the subselect property.

  Parameters:
    `value` - allowed object is `String`

### getComment

    public String getComment()

  Gets the value of the comment property.

  Returns:
    possible object is `String`

### setComment

    public void setComment(String value)

  Sets the value of the comment property.

  Parameters:
    `value` - allowed object is `String`

### getKey

    public JaxbKeyElement getKey()

  Gets the value of the key property.

  Returns:
    possible object is `JaxbKeyElement`

### setKey

    public void setKey(JaxbKeyElement value)

  Sets the value of the key property.

  Parameters:
    `value` - allowed object is `JaxbKeyElement`

### getPropertyOrManyToOneOrComponent

    public List<Object> getPropertyOrManyToOneOrComponent()

  Gets the value of the propertyOrManyToOneOrComponent property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the propertyOrManyToOneOrComponent property.

  For example, to add a new item, do as follows:

          getPropertyOrManyToOneOrComponent().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbManyToOneElement` `JaxbDynamicComponentElement` `JaxbAnyElement` `JaxbPropertyElement` `JaxbComponentElement`

### getSqlInsert

    public JaxbSqlInsertElement getSqlInsert()

  Gets the value of the sqlInsert property.

  Returns:
    possible object is `JaxbSqlInsertElement`

### setSqlInsert

    public void setSqlInsert(JaxbSqlInsertElement value)

  Sets the value of the sqlInsert property.

  Parameters:
    `value` - allowed object is `JaxbSqlInsertElement`

### getSqlUpdate

    public JaxbSqlUpdateElement getSqlUpdate()

  Gets the value of the sqlUpdate property.

  Returns:
    possible object is `JaxbSqlUpdateElement`

### setSqlUpdate

    public void setSqlUpdate(JaxbSqlUpdateElement value)

  Sets the value of the sqlUpdate property.

  Parameters:
    `value` - allowed object is `JaxbSqlUpdateElement`

### getSqlDelete

    public JaxbSqlDeleteElement getSqlDelete()

  Gets the value of the sqlDelete property.

  Returns:
    possible object is `JaxbSqlDeleteElement`

### setSqlDelete

    public void setSqlDelete(JaxbSqlDeleteElement value)

  Sets the value of the sqlDelete property.

  Parameters:
    `value` - allowed object is `JaxbSqlDeleteElement`

### getCatalog

    public String getCatalog()

  Gets the value of the catalog property.

  Returns:
    possible object is `String`

### setCatalog

    public void setCatalog(String value)

  Sets the value of the catalog property.

  Parameters:
    `value` - allowed object is `String`

### getFetch

    public JaxbFetchAttribute getFetch()

  Gets the value of the fetch property.

  Returns:
    possible object is `JaxbFetchAttribute`

### setFetch

    public void setFetch(JaxbFetchAttribute value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchAttribute`

### isInverse

    public boolean isInverse()

  Gets the value of the inverse property.

  Returns:
    possible object is `Boolean`

### setInverse

    public void setInverse(Boolean value)

  Sets the value of the inverse property.

  Parameters:
    `value` - allowed object is `Boolean`

### isOptional

    public boolean isOptional()

  Gets the value of the optional property.

  Returns:
    possible object is `Boolean`

### setOptional

    public void setOptional(Boolean value)

  Sets the value of the optional property.

  Parameters:
    `value` - allowed object is `Boolean`

### getSchema

    public String getSchema()

  Gets the value of the schema property.

  Returns:
    possible object is `String`

### setSchema

    public void setSchema(String value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `String`

### getSubselectAttribute

    public String getSubselectAttribute()

  Gets the value of the subselectAttribute property.

  Returns:
    possible object is `String`

### setSubselectAttribute

    public void setSubselectAttribute(String value)

  Sets the value of the subselectAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getTable

    public String getTable()

  Gets the value of the table property.

  Returns:
    possible object is `String`

### setTable

    public void setTable(String value)

  Sets the value of the table property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.